#!/usb/bin/env python3

import sys

with open(sys.argv[1],'r') as infile:
	line = infile.readline()
	while line:
		if len(line) >= 32 and len(line) < 39:
			print(line,end='')
		line = infile.readline() 
